Debian Bug report logs - #494640
live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: jeremy salwen <jeremybubs@gmail.com>

Date: Mon, 11 Aug 2008 04:15:02 UTC

Severity: normal

Found in version live-helper/1.0~a48-1

Fixed in version live-helper/1.0.0-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jeremybubs@gmail.com, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to jeremy salwen <jeremybubs@gmail.com>:
New Bug report received and forwarded. Copy sent to jeremybubs@gmail.com, Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jeremy salwen <jeremybubs@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Mon, 11 Aug 2008 00:52:49 -0400
Package: live-helper
Version: 1.0~a48-1
Severity: normal

I have a strange feeling that this might be a 'feature'.  When I ran 'lh_chroot_sources install' 
(with all previous scripts run without errors) or any script which calls it, I found it was 
installing packages I didn't request.  With some investigation I found that it was doing an 
apt-get dist-upgrade which was making it install recommended packages (I believe the default for apt?).  
This was contrary to the file rootdir/config/common  in which I had the line 

LH_APT_RECOMMENDS="disabled"

which seemed to do the job for everything but this script.  I think this is a bug, but in the past 
I have simply misunderstood the correct function of a program and thought it was a bug. Please 
tell me if the script is supposed to ignore this option.

Jeremy

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable'), (90, 'unstable'), (10, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.3      Bootstrap a Debian system
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system

live-helper recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 494640@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: jeremy salwen <jeremybubs@gmail.com>
Cc: 494640@bugs.debian.org
Subject: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Mon, 11 Aug 2008 06:04:53 +0100
[Message part 1 (text/plain, inline)]
Jeremy Salwen wrote:

> I found that it was doing an apt-get dist-upgrade which was making it
> install recommended packages (I believe the default for apt?). This was 
> contrary to the file rootdir/config/common  in which I had the line 
>
> LH_APT_RECOMMENDS="disabled"

Hm, whilst `lh_chroot_sources` does call dist-upgrade, the chroot's APT
config should have already been modified to not install recommended packages
by the `lh_chroot_apt` helper.

Are you running helpers manually and missing this one? Are you using
chroot_local-packages?


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Jeremy <jeremybubs@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 494640@bugs.debian.org (full text, mbox):

From: Jeremy <jeremybubs@gmail.com>
To: "Chris Lamb" <chris@chris-lamb.co.uk>
Cc: 494640@bugs.debian.org
Subject: Re: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Mon, 11 Aug 2008 14:01:49 -0400
[Message part 1 (text/plain, inline)]
On Mon, Aug 11, 2008 at 1:04 AM, Chris Lamb <chris@chris-lamb.co.uk> wrote:

> Jeremy Salwen wrote:
>
> > I found that it was doing an apt-get dist-upgrade which was making it
> > install recommended packages (I believe the default for apt?). This was
> > contrary to the file rootdir/config/common  in which I had the line
> >
> > LH_APT_RECOMMENDS="disabled"
>
> Hm, whilst `lh_chroot_sources` does call dist-upgrade, the chroot's APT
> config should have already been modified to not install recommended
> packages
> by the `lh_chroot_apt` helper.
>
> Are you running helpers manually and missing this one? Are you using
> chroot_local-packages?
>
>
> Regards,
>
> --
> Chris Lamb, UK
> chris@chris-lamb.co.uk
>                                                            GPG: 0x634F9A20
>

I stumbled upon this issue when I ran lh_binary first.  It was installing
many java packages (gcj, bsh, openoffice.org-java), which I didn't request.
I recognized that these were the same packages that aptitude was trying to
install before I had turned recommends off (openoffice.org was recommending
it, I believe).
     I then looked at the command tree at the wiki, and ran all the commands
in order, until I ran 'lh_chroot_sources install' and it tried to install
the packages again.  I then googled that script and I found some stuff about
putting 'apt-get dist-upgrade' in the script at some point.
     In chroot, I tried apt-get dist-upgrade, and sure enough, it tried to
install the packages.  However, when I gave it the option
--no-install-recommends, it didn't try to install them.
     I then returned to the script, and opened it in an editor.  I found the
only place in it where it called 'Apt dist-upgrade'.  I looked in
/usr/share/live-helper/functions/ and found 'Apt' in wrapper.sh,  and
verified that it was calling
    case "${LH_APT}" in
        apt|apt-get)
            Chroot apt-get ${APT_OPTIONS} ${@}
            ;;
and that
LH_APT="apt"

I then put in the line
echo ${APT_OPTIONS}
in lh_chroot_sources right before the 'Apt dist-upgrade'
when I ran it again, it printed out '--yes' and nothing else.

I tried setting the apt settings in chroot to disable recommends.
Apt-config said *APT*::Install-*Recommends* was equal to '1'  when I set it
to '0', it didn't work, but when I set it to 'false' it stopped the
unnecessary packaging at least in chroot.

However, lh_chroot_sources was still trying to install them, so I gave up
and added --no-install-recommends to the Apt dist-upgrade line and it
worked.

I am using both chroot_local-packages and chroot_local-packageslists and a
custom repository for both binary and chroot, if that means anything.  I
don't believe I was missing any script because I first got this problem when
running lh_chroot, then lh_binary.  However, I was doing many retries
(mostly lh_build) on it previously, with only a lh_clean --purge in between.

I hope this helps you

Jeremy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 494640@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: Jeremy <jeremybubs@gmail.com>
Cc: 494640@bugs.debian.org
Subject: Re: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Tue, 12 Aug 2008 02:03:51 +0100
[Message part 1 (text/plain, inline)]
tags 494640 + pending
thanks

Jeremy wrote:

> I don't believe I was missing any script because I first got this problem
> when running lh_chroot, then lh_binary.  However, I was doing many retries
> (mostly lh_build) on it previously, with only a lh_clean --purge in
> between.

First, thank you for your detailed report. I must also apologise for
accusing you of omitting a call (!) -- lh_binary does not call lh_chroot_apt.
I can also confirm the behaviour you describe.

(In fact, lh_binary cannot call lh_chroot_apt because the binary stages must
have a different apt_preferences(5) configuration than the chroot stage to
handle chroot_local-packages correctly.)

I've committed a change to live-helper in Git which fixes this issue.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Jeremy <jeremybubs@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 494640@bugs.debian.org (full text, mbox):

From: Jeremy <jeremybubs@gmail.com>
To: "Chris Lamb" <chris@chris-lamb.co.uk>
Cc: 494640@bugs.debian.org
Subject: Re: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Tue, 12 Aug 2008 01:56:22 -0400
[Message part 1 (text/plain, inline)]
On Mon, Aug 11, 2008 at 9:03 PM, Chris Lamb <chris@chris-lamb.co.uk> wrote:

> tags 494640 + pending
> thanks
>
> Jeremy wrote:
>
> > I don't believe I was missing any script because I first got this problem
> > when running lh_chroot, then lh_binary.  However, I was doing many
> retries
> > (mostly lh_build) on it previously, with only a lh_clean --purge in
> > between.
>
> First, thank you for your detailed report. I must also apologise for
> accusing you of omitting a call (!) -- lh_binary does not call
> lh_chroot_apt.
> I can also confirm the behaviour you describe.
>
> (In fact, lh_binary cannot call lh_chroot_apt because the binary stages
> must
> have a different apt_preferences(5) configuration than the chroot stage to
> handle chroot_local-packages correctly.)
>
> I've committed a change to live-helper in Git which fixes this issue.
>
>
> Regards,
>
> --
> Chris Lamb, UK
> chris@chris-lamb.co.uk
>                                                            GPG: 0x634F9A20
>

Thanks so much for replying so promptly and fixing it so quickly.
You don't need to apologize, there was a chance I didn't know what was going
on.
Thanks for the live-helper project,
Jeremy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 494640@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Chris Lamb <chris@chris-lamb.co.uk>, 494640@bugs.debian.org
Subject: Re: Bug#494640: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Tue, 12 Aug 2008 15:28:50 +0200
Chris Lamb wrote:
> I've committed a change to live-helper in Git which fixes this issue.

this fix does actually do more harm than it solves - it injects the apt
settings into the binary image, which is not acceptable as it produces
tainted images. we need to be very carefull here and pay attention to
what ends up into the binary image and what not, as that defines debian
and we don't want to ship a different debian by default that the current
official debian is.

i personally have considered the chroot to be tainted right after
creating the rootfs anyway, if possible, it should be fixed that one can
rerun/reruse the chroot safely to build another binary from it. will
look into this today.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 494640@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: daniel@debian.org
Cc: 494640@bugs.debian.org
Subject: Re: Bug#494640: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Tue, 12 Aug 2008 19:21:29 +0100
[Message part 1 (text/plain, inline)]
Daniel Baumann wrote:

> Chris Lamb wrote:
> > I've committed a change to live-helper in Git which fixes this issue.  
> 
> this fix does actually do more harm than it solves - it injects the apt
> settings into the binary image, which is not acceptable as it produces
> tainted images.

Ugh, you are completely correct. I will revert it and commit a different
solution in a few moments.

However, there are two issues:

 * First, we really do need to taint the binary when chroot_local-packages
   are used otherwise local packages will be replaced. I don't think it even
   matters too much as the changes are limited to /etc/apt/preferences and if
   a user is using chroot_local-packages it is hardly Debian anyway.

   The change I just commited locally and to git.chris-lamb.co.uk does this.

 * Secondly, not tainting the chroot will mean that users with
   LH_APT_INSTALL_RECOMMENDS="disabled" who run "apt-get dist-upgrade" on
   bootup (to install security upgrades etc.) will get all recommended
   packages installed (!).

   Whilst I agree that we shouldn't taint the binary image, shouldn't we make
   an exception for the recommends setting, or do we just document that they
   should modify the apt configuration themselves? This doesn't seem to
   follow "do the right thing" IMHO.
 
   (Another solution would be to add an LH_BINARY_INSTALL_RECOMMENDS
   config option.)


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Jeremy <jeremybubs@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 494640@bugs.debian.org (full text, mbox):

From: Jeremy <jeremybubs@gmail.com>
To: 494640@bugs.debian.org
Subject: Re: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Tue, 12 Aug 2008 16:15:55 -0400
[Message part 1 (text/plain, inline)]
I am just curious as to the idea of a 'tainted image'.  It seems to me that
it would not allow a user to customize their image.  Does everything have to
be the default debian setting?  I would hope that there is an option to not
install recommended packages, especially in the space-tight environment of a
live-cd.  If the default setting for LH_APT_RECOMMENDS is enabled then
wouldn't that be consistent with a normal debian install?  I hope I don't
sound rude or anything, I would just like someone to explain it to me.

Jeremy
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 494640@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Jeremy <jeremybubs@gmail.com>
Cc: 494640@bugs.debian.org
Subject: Re: Bug#494640: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Wed, 13 Aug 2008 12:51:10 -0300
Jeremy <jeremybubs@gmail.com> writes:

> I am just curious as to the idea of a 'tainted image'.  It seems to
> me that it would not allow a user to customize their image.  Does
> everything have to be the default debian setting?  I would hope that
> there is an option to not install recommended packages, especially
> in the space-tight environment of a live-cd.  If the default setting
> for LH_APT_RECOMMENDS is enabled then wouldn't that be consistent
> with a normal debian install?  I hope I don't sound rude or
> anything, I would just like someone to explain it to me.

Yes, your concept is right and I fully agree with the not
installation of recommends by default. 

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 494640@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: Otavio Salvador <otavio@debian.org>, 494640@bugs.debian.org
Cc: Jeremy <jeremybubs@gmail.com>
Subject: Re: Bug#494640: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Wed, 13 Aug 2008 23:50:23 +0100
[Message part 1 (text/plain, inline)]
Hi Jeremy/Otavio,

> Jeremy <jeremybubs@gmail.com> writes:
> 
> > I am just curious as to the idea of a 'tainted image'.  It seems to
> > me that it would not allow a user to customize their image.

Well, hmm. So to expand on what I mentioned in my previous email, there is a
slight distinction in that whilst there *is* an option to enable/disable the
installation of recommended packages, it only applies to the chroot (ie.
image building) stages.

This means that the installation of "bash" with APT_RECOMMENDS="disabled"
will *not* install bash-completion and is thus not included on your ISO
image. (You'll need the Git version to see this though)

However, the binary image (eg. your finished ISO) will not have the "don't
install recommends" apt stanza.

This is problematic because when "apt-get dist-upgrade" is called it will
install all the recommended packages that match the currently installed
packages, ie. "bash-completion" and friends. This especially sucks because a
number of users are running dist-upgrade on startup to pull in security
updates.

Otavio Salvador wrote:

> Yes, your concept is right and I fully agree with the not
> installation of recommends by default. 

Huh? I think I'm missing something here.. we are not discussing whether
recommends should be installed by default, but whether the binary image
should respect a customisation of that setting.

(The default setting of APT_LH_RECOMMENDS is a totally different topic, and
Jeremy is not asking for this to be changed here.)

> > Does everything have to be the default debian setting?
[..]
> > If the default setting for LH_APT_RECOMMENDS is enabled then wouldn't
> > that be consistent with a normal debian install?

No, and I agree with you. Whilst there is some effort to ensure that an
image generated with the /default/ settings of live-helper matches Debian as
much as possible, this shouldn't mean that users cannot customise stuff.

So yes, I think that the binary image should inherit the APT_RECOMMENDS
setting. I will commit that later this evening unless Daniel shouts at me
otherwise.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 494640@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Chris Lamb <chris@chris-lamb.co.uk>
Cc: 494640@bugs.debian.org, Jeremy <jeremybubs@gmail.com>
Subject: Re: Bug#494640: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Wed, 13 Aug 2008 21:54:28 -0300
Chris Lamb <chris@chris-lamb.co.uk> writes:

> So yes, I think that the binary image should inherit the APT_RECOMMENDS
> setting. I will commit that later this evening unless Daniel shouts at me
> otherwise.

Ok. I had misunderstood the discussion. I agree with you too.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#494640; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #60 received at 494640@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 494640@bugs.debian.org
Subject: Re: live-helper: Doesn't follow APT_RECOMMENDS settings in lh_chroot_sources
Date: Sat, 16 Aug 2008 03:27:27 +0200
tags 494640 +pending
thanks

This is fixed now in git.

If the settings are left on default, the binary image does not get
tainted by live-helper specific files in /etc/apt/apt.conf.d/.

If the settings are set to non-default values by the choice of the user,
the live-helper specific files in /etc/apt/apt.conf.d/ are not removed
and apt in the resulting binary image does respect the users choice.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 16 Aug 2008 01:30:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jeremy salwen <jeremybubs@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 494640-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 494640-close@bugs.debian.org
Subject: Bug#494640: fixed in live-helper 1.0.0-1
Date: Sat, 23 Aug 2008 23:02:06 +0000
Source: live-helper
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.0-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.0-1.diff.gz
live-helper_1.0.0-1.dsc
  to pool/main/l/live-helper/live-helper_1.0.0-1.dsc
live-helper_1.0.0-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0.0-1_all.deb
live-helper_1.0.0.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494640@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Aug 2008 00:00:00 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 476546 490755 491695 492085 494640
Changes: 
 live-helper (1.0.0-1) unstable; urgency=medium
 .
   [ Antonio Terceiro ]
   * Sorting functions alphabetically.
   * Replacing file checking with ls by function calls
 .
   [ Chris Lamb ]
   * Install loop-aes-utils if we are using encryption.
   * Support expanding wildcards in udeb excludes.
   * Remove pointless whitespace.
   * Only install unionfs-tools under Etch in rescue list.
   * Correct logic in LH_BOOTAPPEND_INSTALL handling
   * Removing surrounded braces from LH_BOOTAPPEND_INSTALL - it is expanded by
     sed, not the shell.
   * Correcting typo LH_BOOTSTRAP_INSTALL -> LH_BOOTAPPEND_INSTALL in Grub kernel
     parameters.
   * Correct bogus path for d-i preseed files.
   * Don't install lists from chroot_local-packageslists without them being
     specified in LH_PACKAGES_LISTS (Closes: #490755)
   * Don't use interpolation to print usage and help as it breaks newlines and
     tabs.
   * Remove accidental trailing '"' (quote) package from lh_config usage.
   * Tidy "install" / "install-binary" handling in lh_chroot_apt.
   * Add informational comments to generated /etc/apt/preferences stanzas.
   * Generate Release file for chroot_local-packages when APT_SECURE is disabled.
   * Prevent (harmless) duplicate entries appearing in /etc/apt/preferences
   * Remove gettext from Build-Depends (it's already in Build-Depends-Indep).
   * Correcting aesthetic typo "proces" -> "process".
   * Add leading space to prevent unnecessary diff when running lh_config
     repeatedly.
   * Rename internal LH_BOOTAPPEND_PRESEED variable to _LH_BOOTAPPEND_PRESEED
   * Ensure the binary image does not inherit the binary stage's APT settings.
   * Always create stagefile for chroot_install-packages and require it for
     lh_source
   * Correct indentation of conditional code.
   * Clean source.list instead of binary.list when calling lh_clean --source.
   * Move gettext to Build-Depends-Indep.
   * Add busybox to DI_PACKAGES as its required to install kernels.
   * Choose correct d-i install method for "live" and usb-hdd/tar image types.
   * Don't duplicate .debs of packages in binary/pool that are installed via
     live-installer.
   * Create pool/main to prevent build failure when no local .debs are queued for
     installation.
   * Don't include the bootstrap .debs on live-installer based disks (saves
     ~30MiB).
   * Rework WGET_OPTIONS and use "--no-verbose" by default (just prints the URL).
   * Fix "lh_config -c". Thanks to Simon Schiele <lists@codingmonkey.de>.
   * Remove --debian-installer-daily from getopt call.
   * Update lh_config(1) to match status of
     LH_DEBIAN_INSTALLER_{DAILY,DISTRIBUTION}.
   * Fix a bug in chroot_local-packages where packages were upgraded with
     themselves during lh_binary stages.
   * Fix bug in LH_DEBIAN_INSTALLER_DISTRIBUTION = "daily" handling.
   * Disabling call to "update-initramfs" in lh_chroot_hacks.
   * Always add our apt_preference(5) pinning stanza when using local-packages.
   * Ensure packages in config/chroot_local-packages override all others.
   * Test whether to use hard-links when caching d-i downloads.
   * Print a warning when package caching is disabled but d-i integration is
     enabled.
   * Don't install Recommends of d-i packages.
   * Call "Check_defaults" in lh_build.
   * Print nicer error message when bootstrap missing from LH_CACHE_STAGES.
   * Remove 'E:' prefix in call to Echo_error - it gets added later too.
   * Don't attempt install deprecated helpers/make-live.
   * Add lh_chroot_local-patches helper to apply local patches against chroot.
   * Fix cache poisoning issue in lh_binary_debian-installer with 404 downloads
   * Don't attempt to use live-installer on Etch; it would simply result in no
     bootstrap method.
   * Cache d-i kernel, initrd and mini.iso downloads (Closes: #492085)
   * Wrap most calls to wget in lh_binary_debian-installer.
   * Add system-config-printer as a replacement to gnome-cups-manager.
   * Removed "gnome-cups-manager" from package lists as it has been removed from
     Lenny due to being obsolete. (Closes: #491695)
 .
   [ Daniel Baumann ]
   * Preserve changed apt settings (pdiffs, recommends, and secure) in binary
     image (Closes: #494640).
   * Updating chroot hacks to reflect namechange of the udev persistent rules.
   * Correcting typo in win32-loader config.
   * Correcting win32-loader default values.
   * Moving win32-loader inclusion support from external hook into main program
     (Closes: #476546).
   * Adding generic echo function.
   * Removing currently unused help message in lh_config.
   * Sorting authors file.
   * Removing superfluous echo type from echo call.
   * Correcting escaping of $VERSION in LH_ISO_PREPARER defaults.
   * Updating po files.
   * Replacing remaining echo calls with proper echo functions.
   * Don't expand version in default configuration, but rather use it
     dynamically.
   * Moving live-helper defaults file for cron autobuilder from
     /etc/default/live-helper to /etc/default/live-helper_autobuild in order to
     not conflict with the system-wide default file for helper configuration.
   * Adding guessing of the preseeding filename, and way to manually overwrite it
     (or select it in case of multiple available preseeding files).
   * Switching chechbashism call to now fail and abort rather than just give a
     warning if bashishms are detected.
   * Using $HOST rather than $HOSTNAME to avoid false positive in checkbashisms.
   * Using signal names rather than signal numbers in trap calls.
   * Merging debian-installer-daily option into debian-installer-distribution.
   * Bumping version number to 1.0.0.
   * Updating credits file.
   * Only using hardlinks for local-packages when hardlinks are possible.
   * Removing make-live legacy helper.
   * Updating debian release information.
   * Making check for local-patches silent.
   * Making check for local-includes silent.
   * Using rfc2606 invalid tld instead of dummy.
   * Using better suited variable name for live-helpers local key.
 .
   [ Frederic Daniel Luc Lehobey ]
   * Added po4a support for manpages. Use case: 'make po4a'.
 .
   [ Marco Amadori ]
   * Removing evms from rescue list, package got removed from debian.
 .
   [ Tiago Bortoletto Vaz ]
   * Making help.sh and version.sh messages translatable.
   * Making lh_chroot_interactive and lh_source_usb-hdd messages translatable.
   * Making lh_binary_usb-hdd messages translatable.
   * Making usage.sh messages translatable.
   * Supporting remote preseeding files.
   * Also allowing multiple preseeding files for netboot.
   * Allowing to use more than one preseeding file to be on the media.
   * Adding last modifications in order to have localization fully working in
     live-helper. This commit goes with some pt_BR translations just for testing.
     Thanks to Antonio Terceiro for helping and coding in some shell stuff.
   * Adding the basic infrastructure to provide l10n support for live-helper.
   * Minor typo fix for encryption parameter in lh_config help message.
   * Suporting debian-installer distribution choice, which makes possible to
     build a image using a system-independent debian-installer suite. The config
     option for this is --debian-installer-distribution CODENAME.
   * Adding missing debian-installer options in lh_config --help message.
   * Improving message when using default values in /etc/default/live-helper.
Checksums-Sha1: 
 87c4e9ac5c19b919981a204be091564ca8b2e2b9 1265 live-helper_1.0.0-1.dsc
 f592a069e6fa8f36a3510a56aa6326d489dab517 1980365 live-helper_1.0.0.orig.tar.gz
 8834048fa51b70672573c3e31a6cec728bdd9a49 18570 live-helper_1.0.0-1.diff.gz
 0cd8ca2c9ce0fdafa40cbb3ec2936fd7688fe0b6 1910746 live-helper_1.0.0-1_all.deb
Checksums-Sha256: 
 0cb70394e89c1073c20944bae096b21df363f14464d34f2a647ae196a9825011 1265 live-helper_1.0.0-1.dsc
 0493513b6f28e978408c95c734a12709de78a199ecb64aafba7342b3ee50ee58 1980365 live-helper_1.0.0.orig.tar.gz
 202c680d324cc63403783d265ea02c62b5e3cf12cb1a0b3d968bcc3d12a82963 18570 live-helper_1.0.0-1.diff.gz
 63f223b1fbb4032897b0e20efdec10dd4b994100daaf469f96c547a33bf18407 1910746 live-helper_1.0.0-1_all.deb
Files: 
 223828791a7c467bfa165fef1a270613 1265 misc optional live-helper_1.0.0-1.dsc
 0bd229529a606129c7d34e9909da4faf 1980365 misc optional live-helper_1.0.0.orig.tar.gz
 e032055c9097b5665d811bc9ab9c058b 18570 misc optional live-helper_1.0.0-1.diff.gz
 94b53f5b3594fe0e71c5472149f5f073 1910746 misc optional live-helper_1.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiwlUIACgkQ+C5cwEsrK56D9QCfX8DggHGvxqHH2qxGIU7IEg/6
/PUAoNGcdcx0f5u4ZhBQ4m9/mjc/GDSJ
=8lpB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Sep 2008 07:27:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:05:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.